#include <iostream>

using namespace std;

int main(){
    int n, m;
    cin >> n >> m;
    long long k1 = (((n * (n + 1)) / 2) + n - 1) * m;
    long long k2 = (((m * (m + 1)) / 2) + m - 1) * n;
    long long ans = k1 + k2 - (n * m);
    cout << ans;
    return 0;
}